<?php

namespace App\Presenters;

use Nette;
use Nette\Application\UI\Form;


class PostPresenter extends Nette\Application\UI\Presenter
{
    /** @var Nette\Database\Context */
    private $database;

    protected function createComponentPostForm()
    {
        $form = new Form;
        $form->addText('jmeno', 'Jméno:')
            ->setRequired();
        $form->addText('prijmeni', 'Příjmneí:')
        ->setRequired();

        $form->addSubmit('send', 'Uložit');
        $form->onSuccess[] = [$this, 'postFormSucceeded'];

        return $form;
    }

    public function postFormSucceeded(Form $form, \stdClass $values)
    {
        $id = $this->getParameter('id');
        $clovek = $this->database->table('lidis')->get($id);
        $clovek->update($values);

        $this->redirect('Homepage:default');
    }

    public function __construct(Nette\Database\Context $database)
    {
        $this->database = $database;
    }

    public function actionEdit($id)
    {
        $clovek = $this->database->table('lidis')->get($id);
        $this['postForm']->setDefaults($clovek->toArray());
    }
}